<div class="container">
  <div class="columns is-centered" id="edit-profile-column">
    <div class="column is-10">
      <mat-tab-group
        mat-align-tabs="center"
        [selectedIndex]="selected.value"
        (selectedIndexChange)="selected.setValue($event)"
      >
        <mat-tab label="Basic">
          <div class="tab-content">
            <expert-basic-profile-form></expert-basic-profile-form>
          </div>
        </mat-tab>

        <mat-tab label="Experience">
          <div class="tab-content">
            <h3 class="title">Your working experience</h3>
            <h4 class="sub-title">
              You publish your profile and others will be able to contact you
              for your insight.
            </h4>
            <br />
            <br />
            <br />
            <working-experience-item
              *ngFor="let item of workingExperiences"
            ></working-experience-item>
            <div class="flex-row justify-end align-center">
              <a class="has-text-info endorse-button has-text-underline"
                >ENDORSE</a
              >
              <button
                class="button is-info is-outlined"
                (click)="addWorkingExperience()"
              >
                <fa-icon [icon]="faPlus" style="margin-right: 5px;"></fa-icon>
                ADD EXPERIENCE
              </button>
            </div>
            <br />
            <div class="flex-row justify-between">
              <a class="has-text-black " (click)="changeTab(0)">
                <fa-icon
                  [icon]="faChevronLeft"
                  style="margin-right: 5px;"
                ></fa-icon>
                Back</a
              >
              <button class="button is-primary" (click)="changeTab(2)">
                CONTINUE
              </button>
            </div>
          </div>
        </mat-tab>

        <mat-tab label="Education">
          <div class="tab-content">
            <h3 class="title">Tell us about your education.</h3>
            <h4 class="sub-title">
              You publish your profile and others will be able to contact you
              for your insight.
            </h4>
            <br />
            <br />
            <br />
            <h3 class="title">Education</h3>
            <br />
            <education-history-item
              *ngFor="let item of educationHistories"
            ></education-history-item>
            <div class="flex-row justify-end align-center">
              <a class="has-text-info endorse-button has-text-underline"
                >ENDORSE</a
              >
              <button
                class="button is-info is-outlined"
                (click)="addEducationHistory()"
              >
                <fa-icon [icon]="faPlus" style="margin-right: 5px;"></fa-icon>
                ADD EDUCATION
              </button>
            </div>
            <br />

            <h3 class="title">Qualifications</h3>
            <br />
            <qualification-item
              *ngFor="let item of qualifications"
            ></qualification-item>
            <div class="flex-row justify-end align-center">
              <a class="has-text-info endorse-button has-text-underline"
                >ENDORSE</a
              >
              <button
                class="button is-info is-outlined"
                (click)="addQualification()"
              >
                <fa-icon [icon]="faPlus" style="margin-right: 5px;"></fa-icon>
                ADD Qualification
              </button>
            </div>
            <br />
            <div class="flex-row justify-between">
              <a class="has-text-black " (click)="changeTab(1)">
                <fa-icon
                  [icon]="faChevronLeft"
                  style="margin-right: 5px;"
                ></fa-icon>
                Back</a
              >
              <button class="button is-primary" (click)="changeTab(3)">
                CONTINUE
              </button>
            </div>
          </div>
        </mat-tab>

        <mat-tab label="Contact">
          <div class="tab-content">
            <h3 class="title">Tell us a bit about yourself.</h3>
            <h4 class="sub-title">
              You publish your profile and others will be able to contact you
              for your insight.
            </h4>
            <br />
            <br />
            <br />
            <h4 class="title form-title">Personal details</h4>
            <br />

            <div class="field is-horizontal">
              <div class="field-label ">
                <img src="https://i.pravatar.cc/300" alt="" class="avatar" />
              </div>
              <div class="field-body ">
                <div class="flex-col">
                  <p>
                    Adding a photo will help your profile get noticed and
                    improve the likelihood that you receive more contacts for
                    your insights.
                  </p>
                  <br /><br />

                  <button
                    class="button is-primary is-outlined"
                    style="width: fit-content;"
                  >
                    <span class="icon is-medium" style="margin-right: 10px;">
                      <fa-icon [icon]="faCloudUploadAlt"></fa-icon>
                    </span>
                    Upload
                  </button>
                </div>
              </div>
            </div>
            <br /><br />
            <!-- First name -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">First name</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!-- end First name -->

            <!-- Last name -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">Last name</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!--  Last name -->

            <!-- Name in native language -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">Name in native language</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!--  Name in native language -->

            <!-- How people call you -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">How people call you</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!--  How people call you  -->

            <!-- Birthday -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">Birthday</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control has-icons-right short-input">
                    <input class="input" type="date" />
                    <span class="icon is-small is-right">
                      <fa-icon
                        [icon]="faCalendar"
                        style="margin-right: 5px;"
                      ></fa-icon>
                    </span>
                  </div>
                </div>
              </div>
            </div>
            <!--  End birthday  -->

            <!-- Phone number -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">Phone number</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control short-input">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!--  How Phone number  -->

            <!-- Zip code -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">Zip code</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control short-input">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!--  How Zip code  -->

            <br />
            <h4 class="title form-title">
              Where are you from? <span class="optional-text">(Optional)</span>
            </h4>
            <br />

            <!-- Country -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">Country</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control short-input">
                    <div class="select is-fullwidth">
                      <select>
                        <option>-</option>
                        <option *ngFor="let c of countries" [value]="c">{{
                          c
                        }}</option>
                      </select>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- end Country -->

            <!-- Province -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">Province</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control short-input">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!-- end Province -->

            <!-- City -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">City</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control short-input">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!-- end City -->

            <!-- District -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">District</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control short-input">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!-- end District -->

            <!-- Village -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">Village</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control short-input">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!-- end Village -->

            <br />
            <h4 class="title form-title">Links</h4>
            <br />

            <!-- Linkedin -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">Linkedin</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!-- end Linkedin -->

            <!-- Portfolio -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">Portfolio or personal website</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!-- end Portfolio -->

            <!-- Facebook -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">Facebook</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!-- end Facebook -->

            <!-- Behance -->
            <div class="field is-horizontal">
              <div class="field-label ">
                <label class="label">Behance</label>
              </div>
              <div class="field-body">
                <div class="field">
                  <div class="control">
                    <input class="input" type="text" />
                  </div>
                </div>
              </div>
            </div>
            <!-- end Behance -->
            <br />
            <div class="flex-row justify-between">
              <a class="has-text-black " (click)="changeTab(2)">
                <fa-icon
                  [icon]="faChevronLeft"
                  style="margin-right: 5px;"
                ></fa-icon>
                Back</a
              >
              <button class="button is-primary">CONTINUE</button>
            </div>
          </div>
        </mat-tab>
      </mat-tab-group>
    </div>
  </div>
</div>
